<script lang="ts">

// #ifdef APP-PLUS || H5
import  TUIlogin  from "./components/TUILogin.js";

TUIChatKit.init();
// #endif
// Required information
// You can get userSig from TencentCloud chat console for Testing TUIKit.
// Deploy production environment please get it from your server.
// View https://cloud.tencent.com/document/product/269/32688

export default {
  data() {
    return {
      info: {},
      userSig: "",
      chatInfo: {},
    };
  },
  onLoad(option) {
    uni.getStorage({
      key: "userinfo",
      success: (res) => {
        this.info = res.data;
      },
    });
    uni.getStorage({
      key: "userSig",
      success: (res) => {
        this.userSig = res.data;
      },
    });
    uni.getStorage({
      key: "chatInfo",
      success: (res) => {
        this.chatInfo = res.data;
      },
    });
    if (this.userSig) {
      TUIlogin(this.chatInfo.appId, this.info.userChatId, this.userSig);
    }
  },
  provide() {
    return {
      $global: {
        lastPage: null,
      },
    };
  },
};
</script>
<style>
/* common css for page */
uni-page-body,
html,
body,
page {
  width: 100% !important;
  height: 100% !important;
  overflow: hidden;
}
</style>
